package com.bocloud.cmp.model.jumpserver;

import com.alibaba.fastjson.annotation.JSONField;

public class DeviceService {
    private String name; // 名称
    private String proto; // 协议
    private Integer port; // 端口
    private Boolean state; // 活动  禁用
    private Boolean hasState; // 接口返回是否有state字段，目前看来：338有返回，335无返回

    // VNC专用
    private Boolean editVncPassword;
    @JSONField(name = "hasvncpassword")
    private Boolean hasVncPassword;

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public String getProto() {
        return proto;
    }

    public void setProto(String proto) {
        this.proto = proto;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getState() {
        return state;
    }

    public void setState(Boolean state) {
        this.state = state;
    }

    public Boolean getEditVncPassword() {
        return editVncPassword;
    }

    public void setEditVncPassword(Boolean editVncPassword) {
        this.editVncPassword = editVncPassword;
    }

    public Boolean getHasVncPassword() {
        return hasVncPassword;
    }

    public void setHasVncPassword(Boolean hasVncPassword) {
        this.hasVncPassword = hasVncPassword;
    }

    public Boolean getHasState() {
        return hasState;
    }

    public void setHasState(Boolean hasState) {
        this.hasState = hasState;
    }
}
